Page MenuHomePhabricator

ci: run tests up to 5 times before failing
ClosedPublic

Authored by zmike on Aug 28 2018, 11:11 AM.

Details

Summary

when travis is throttling resourcse more than usual (resources are
dynamically allocated since we are not using a paid service), it
can be the case that tests fail even more than usual.

this number may need to be increased further if 5 does not provide enough
reliability

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Aug 28 2018, 11:11 AM
zmike requested review of this revision.Aug 28 2018, 11:11 AM
akanad added a subscriber: akanad.Aug 28 2018, 6:24 PM

how about extracting those numbers as variable like below ?

NUM_TRIES=5
for tries in $(seq 1 ${NUM_TRIES}); do
done

zmike planned changes to this revision.Aug 29 2018, 7:41 AM

Sure.

ProhtMeyhet requested changes to this revision.Aug 29 2018, 8:06 AM
ProhtMeyhet added a subscriber: ProhtMeyhet.

typo, U instead of I: NUM_TRUES != NUM_TRIES

.ci/ci-make-check.sh
20

typo, U instead of I: NUM_TRUES != NUM_TRIES

.ci/distcheck.sh
77

typo, U instead of I: NUM_TRUES != NUM_TRIES

This revision now requires changes to proceed.Aug 29 2018, 8:06 AM
ProhtMeyhet accepted this revision.Aug 29 2018, 9:57 AM
This revision is now accepted and ready to land.Aug 29 2018, 9:57 AM
ProhtMeyhet resigned from this revision.Aug 29 2018, 10:01 AM

i'm still learning phabricatror....

This revision now requires review to proceed.Aug 29 2018, 10:01 AM
stefan_schmidt accepted this revision.Sep 14 2018, 3:51 AM
This revision is now accepted and ready to land.Sep 14 2018, 3:51 AM
This revision was automatically updated to reflect the committed changes.